Name:           ocaml-sdl
Version:        0.9.1
Release:        %mkrel 7
Summary:        OCaml bindings for the SDL multimedia library
License:        LGPL
Group:          Development/OCaml
URL:            http://ocamlsdl.sourceforge.net/
Source0:        http://downloads.sourceforge.net/project/ocamlsdl/OCamlSDL/ocamlsdl-%{version}/ocamlsdl-%{version}.tar.gz
BuildRequires:  libSDL-devel
BuildRequires:  libSDL_ttf-devel
BuildRequires:  libSDL_mixer-devel
BuildRequires:  libSDL_image-devel
BuildRequires:  libSDL_gfx-devel
BuildRequires:  ocaml-lablgl-devel
BuildRequires:  ocaml-findlib

%description
The goal of OCamlSDL is to provide access to the multimedia hardware
to the OCaml programming language with the help of the SDL library.
The Simple DirectMedia Layer is a generic API that provides low level
access to audio, keyboard, mouse, and display framebuffer across
multiple platforms and distributions.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires: libSDL-devel
Requires: libSDL_ttf-devel
Requires: libSDL_mixer-devel
Requires: libSDL_image-devel
Requires: libSDL_gfx-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n ocamlsdl-%{version}

%build
./configure
make

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/sdl
make install
install -d %{buildroot}%{_bindir}
install -m 0755 ./xpm_to_ml %{buildroot}%{_bindir}

%files
%doc README COPYING AUTHORS NEWS
%dir %{_libdir}/ocaml/sdl
%{_libdir}/ocaml/sdl/META
%{_libdir}/ocaml/sdl/*.cma
%{_libdir}/ocaml/sdl/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc/html/
%{_bindir}/xpm_to_ml
%{_libdir}/ocaml/sdl/*.a
%{_libdir}/ocaml/sdl/*.cmxa
%{_libdir}/ocaml/sdl/*.cmx
%{_libdir}/ocaml/sdl/*.mli


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.9.1-7.mga4
+ Revision: 541161
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 blue_prawn <blue_prawn> 0.9.1-6.mga4
+ Revision: 495203
- rebuild for ocaml-4.01.0 (and description reiteration)

* Sun Jan 13 2013 umeabot <umeabot> 0.9.1-5.mga3
+ Revision: 361601
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 fwang <fwang> 0.9.1-4.mga3
+ Revision: 345458
- rebuild for new SDL_gfx

* Tue Oct 02 2012 blue_prawn <blue_prawn> 0.9.1-3.mga3
+ Revision: 302139
- rebuild for new ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.9.1-2.mga3
+ Revision: 300482
- new rpm group for ocaml

* Mon Jul 09 2012 blue_prawn <blue_prawn> 0.9.1-1.mga3
+ Revision: 269120
- updated to last version 0.9.1

* Mon Jun 18 2012 blue_prawn <blue_prawn> 0.9.0-1.mga3
+ Revision: 261766
- updated to last version 0.9.0

* Tue Apr 03 2012 fwang <fwang> 0.8.0-5.mga2
+ Revision: 228016
- there is no need adding hard requires, since those requires are already generated through binary deps

* Mon Apr 02 2012 blue_prawn <blue_prawn> 0.8.0-4.mga2
+ Revision: 227917
- added a patch to fix a typo in the META file
- the -devel dependencies are required by the -devel split

* Tue Mar 27 2012 malo <malo> 0.8.0-3.mga2
+ Revision: 227208
- adding missing requires to SDL libs

* Mon Mar 26 2012 blue_prawn <blue_prawn> 0.8.0-2.mga2
+ Revision: 226883
- fixed a bug in sdlgfx module build

* Mon Jan 09 2012 blue_prawn <blue_prawn> 0.8.0-1.mga2
+ Revision: 194327
- imported package ocaml-sdl

